### Constructor

# WebKit2 ContextMenuItem new_from_stock_action

#### Declaration [src]

    WebKitContextMenuItem*
    webkit_context_menu_item_new_from_stock_action (
      WebKitContextMenuAction action
    )

#### Description [src]

Creates a new `WebKitContextMenuItem` for the given stock action.

Stock actions are handled automatically by WebKit so that, for example, when a menu item created with a `WEBKIT_CONTEXT_MENU_ACTION_STOP` is activated the action associated will be handled by WebKit and the current load operation will be stopped. You can get the `GAction` of a `WebKitContextMenuItem` created with a `WebKitContextMenuAction` with `webkit_context_menu_item_get_gaction()` and connect to the `GSimpleAction::activate` signal to be notified when the item is activated, but you can’t prevent the associated action from being performed.

#### Parameters

`action` | `WebKitContextMenuAction`
| A `WebKitContextMenuAction` stock action.

#### Return value

Returns: | `WebKitContextMenuItem`
| The newly created `WebKitContextMenuItem` object.
| The data is owned by the called function.